Name:		xsp
Version:	4.7.1
Release:	%mkrel 3
License:	BSD
Summary:	Small Web Server Hosting ASP.NET
Group:		System/Servers
URL:		https://www.mono-project.com/
Source:		https://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	mono-data
BuildRequires:	mono-data-sqlite
BuildRequires:	mono-data-oracle 
BuildRequires:	mono-devel
BuildRequires:	mono-web-devel
BuildRequires:	mono-nunit-devel
BuildRequires:	monodoc-devel
Requires:	mono-core
# Mono only available on these:
ExclusiveArch: %mono_arches


%description
XSP is a standalone web server written in C# that can be used to run ASP.NET 
applications as well as a set of pages, controls and web services that you can 
use to experience ASP.NET.

%package devel
Group:		Development/C#
Summary:	Development files for %name
Requires:	%name = %version-%release

%description devel
Development files for xsp

%prep
%setup -q

sed -i "s#dmcs#mcs#g" configure

%build
%configure --libdir=%{_prefix}/lib --disable-docs
make

%install
make DESTDIR=%{buildroot} install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
test "%{_libdir}" = "%{_prefix}/lib" || mv $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

# Remove libtool archives and static libs
find %{buildroot} -type f -name "*.la" -delete
find %{buildroot} -type f -name "*.a" -delete

# Remove scripts that are referencing .NET 2.0
for f in asp-state dbsessmgr mod-mono-server fastcgi-mono-server xsp
do
  rm %{buildroot}/%{_bindir}/${f}
  rm %{buildroot}/%{_bindir}/${f}2
done

# remove tests
rm -rf  %{buildroot}/%{_prefix}/lib/xsp/test
   
%files
%doc AUTHORS NEWS README COPYING
%{_bindir}/asp-state4
%{_bindir}/dbsessmgr4
%{_bindir}/mod-mono-server4
%{_bindir}/mono-fpm
%{_bindir}/shim
%{_bindir}/xsp4
%{_bindir}/fastcgi-mono-server4
%{_prefix}/lib/xsp
%{_monogacdir}/Mono.WebServer*/
%{_monogacdir}/fastcgi-mono-server4
%{_monogacdir}/mod-mono-server*/
%{_monogacdir}/mono-fpm
%{_monogacdir}/xsp*/
%{_monodir}/4.?/Mono.WebServer2.dll
%{_monodir}/4.?/fastcgi-mono-server4.exe
%{_monodir}/4.?/mod-mono-server4.exe
%{_monodir}/4.?/mono-fpm.exe
%{_monodir}/4.?/xsp4.exe
%{_prefix}/lib/libfpm_helper.so.0*
%{_mandir}/man1/asp*
%{_mandir}/man1/dbsessmgr*
%{_mandir}/man1/mod-mono-server*
%{_mandir}/man1/xsp*
%{_mandir}/man1/fastcgi-mono-server*

%files devel
%{_libdir}/pkgconfig/xsp*
%{_prefix}/lib/libfpm_helper.so


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 4.7.1-3.mga9
+ Revision: 1838862
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 4.7.1-2.mga8
+ Revision: 1629237
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 4.7.1-1.mga8
+ Revision: 1629157
- Upgrade to new version 4.7.1
- built without docs because mdoc.exe is not built with Mono 6 and mcs anymore
- rebuild for new mono

* Fri Feb 14 2020 umeabot <umeabot> 4.5-3.mga8
+ Revision: 1519824
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ guillomovitch <guillomovitch>
- better group
- sync with Fedora spec
- rebuild for latest mono

* Sun Oct 21 2018 daviddavid <daviddavid> 4.5-1.mga7
+ Revision: 1323267
- new version: 4.5

* Sun Sep 23 2018 umeabot <umeabot> 4.2-2.mga7
+ Revision: 1301984
- Mageia 7 Mass Rebuild

* Mon Apr 11 2016 daviddavid <daviddavid> 4.2-1.mga6
+ Revision: 1000434
- new version: 4.2 (fix build with mono >= 4.2.3)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 03 2015 tv <tv> 3.8-1.mga6
+ Revision: 907932
- adjust file list
- update BR
- cannot be noarch
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.10.2-5.mga5
+ Revision: 748396
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.2-4.mga5
+ Revision: 690783
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10.2-3.mga4
+ Revision: 520834
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.10.2-2.mga3
+ Revision: 387405
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 tv <tv> 2.10.2-1.mga2
+ Revision: 139835
- new release

* Thu Jun 16 2011 stblack <stblack> 2.10-1.mga2
+ Revision: 108192
- imported package xsp


* Thu Feb 17 2011 Götz Waschk <waschk@mandriva.org> 2.10-1mdv2011.0
+ Revision: 638113
- update to new version 2.10

* Thu Jan 06 2011 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdv2011.0
+ Revision: 629042
- update to new version 2.8.2

* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdv2011.0
+ Revision: 624030
- new version
- update file list
- split out devel package
- remove unit tests

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.8-1mdv2011.0
+ Revision: 583937
- new version
- update file list
- manually install pkgconfig file
- add doc package

* Tue Jul 20 2010 Götz Waschk <waschk@mandriva.org> 2.6.5-1mdv2011.0
+ Revision: 555672
- update to new version 2.6.5

* Wed Apr 28 2010 Götz Waschk <waschk@mandriva.org> 2.6.4-1mdv2010.1
+ Revision: 539981
- update to new version 2.6.4

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.6.3-1mdv2010.1
+ Revision: 521497
- update to new version 2.6.3

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2010.1
+ Revision: 478864
- update to new version 2.6

* Thu Dec 10 2009 Götz Waschk <waschk@mandriva.org> 2.4.3-1mdv2010.1
+ Revision: 475950
- update to new version 2.4.3

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2010.0
+ Revision: 390910
- update to new version 2.4.2

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2010.0
+ Revision: 368972
- new version
- update file list

* Wed Jan 14 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2009.1
+ Revision: 329392
- new version
- update file list

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 291912
- new version

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 1.9.1-2mdv2009.0
+ Revision: 269844
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2009.0
+ Revision: 196541
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 192398
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119272
- new version
- update file list

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.0
+ Revision: 80101
- remove build workaround
- stand alone package of xsp
- copy apache-mod_mono to xsp

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.5-1mdv2008.0
+ Revision: 75587
- new version

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.4-3mdv2008.0
+ Revision: 64723
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.4-1mdv2008.0
+ Revision: 27355
- new version

